Bug 927229 - Remove bundled libraries rubygem-{backports,eventmachine,eventmachine,json,monkey-lib,rack,rack-protection,rack-test,rpam-ruby19,sinatra,sinatra-contrib,sinatra-sugar,tilt}
Remove bundled libraries rubygem-{backports,eventmachine,eventmachine,json,mo...
Status: MODIFIED
Product: Fedora
Classification: Fedora
Component: pcs (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Feist
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2013-03-25 09:04 EDT by Vít Ondruch
Modified: 2017-02-28 04:33 EST (History)
4 users (show)

See Also:
Fixed In Version: pcs-0.9.141-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1233574 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2013-03-25 09:04:08 EDT
Your package contains bundled libraries, what is prohibited by packaging guidelines [1]. At least one of the bundled libraries is know to be vulnerable [2]. Please fix your package ASAP. Thank you.



[1] https://fedoraproject.org/wiki/Packaging:Guidelines#Duplication_of_system_libraries
[2] https://bugzilla.redhat.com/show_bug.cgi?id=909029
Comment 1 Chris Feist 2013-03-25 16:34:46 EDT
Added updates to the pcs .spec file and a patch to fix this issue.
Comment 2 Fedora End Of Life 2013-09-16 12:56:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Fedora End Of Life 2015-05-29 04:57:14 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Tomas Hoger 2015-06-19 04:02:01 EDT
pcs-0.9.140-2.fc23.x86_64 still bundles gems.  Some of them are now listed as in Requires, so it's not obvious whether bundled or system version is actually used at run time.

There does not seem to be any bundling exception, or bundled() virtual provides:

https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Requirement_if_you_bundle
Comment 5 Tomas Jelinek 2015-06-23 11:21:13 EDT
Gems listed in Requires are no longer bundled in the package.
Comment 6 Jan Pokorný 2015-06-29 13:07:29 EDT
Also note that without proper unbundling, or at least split into
the authored code + no-/arch framework dependencies (as there is
nothing compiled/arch-specific in the former), there is a waste
of both time (the same stuff is duplicated needlessly during
packaging) and space (the same order-of-megabytes stuff is stored,
incl. numerous mirrors of Fedora packages, you guessed it, needlessly).
Comment 7 Jan Kurik 2015-07-15 10:48:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 8 Fedora End Of Life 2016-11-24 05:58:18 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Tomas Hoger 2016-11-24 06:22:21 EST
There are still bundled libs, acknowledged by bundled() provides, not sure if that's expected final state:

bundled(rubygem-orderedhash) = 0.0.6
bundled(rubygem-rack) = 1.6.4
bundled(rubygem-rpam-ruby19) = 1.2.1
bundled(rubygem-sinatra) = 1.4.7
bundled(rubygem-sinatra-contrib) = 1.4.7
Comment 10 Jan Pokorný 2016-11-24 08:26:03 EST
At least some of the packages are properly packaged in Fedora 25:

> bundled(rubygem-orderedhash) = 0.0.6

https://koji.fedoraproject.org/koji/buildinfo?buildID=789444

> bundled(rubygem-rack) = 1.6.4

https://koji.fedoraproject.org/koji/buildinfo?buildID=785582
(if 2.0.1 is OK)

> bundled(rubygem-rpam-ruby19) = 1.2.1

nothing?

> bundled(rubygem-sinatra) = 1.4.7

https://koji.fedoraproject.org/koji/buildinfo?buildID=789444

> bundled(rubygem-sinatra-contrib) = 1.4.7

nothing?


So definitely worth fixing.
Comment 11 Jan Pokorný 2016-11-24 08:47:47 EST
Sorry for confusion, in fact there's not equivalent to
rubygem-orderedhash, except perhaps what can be achieved
with the Ruby language + standard library naturally.
Comment 12 Tomas Jelinek 2016-12-13 10:42:12 EST
> bundled(rubygem-orderedhash) = 0.0.6
> bundled(rubygem-rpam-ruby19) = 1.2.1
> bundled(rubygem-sinatra-contrib) = 1.4.7
not available as rpm package in Fedora

> bundled(rubygem-rack) = 1.6.4
> bundled(rubygem-sinatra) = 1.4.7
rubygem-rack-2.0.1 is available in Fedora. However upstream rubygem-rack-2.0.1 is not compatible with upstream rubygem-sinatra-1.4.7. To fix the issue Fedora provides a patched version of rubygem-sinatra-1.4.7. Until this incompatibility is resolved in upstream gems, pcs sticks to the bundled versions.

So yes, this is currently expected. Keeping this open to track the issue and future fixes.
Comment 13 Tomas Jelinek 2016-12-13 10:43:46 EST
Note this is mentioned in the spec file:
http://pkgs.fedoraproject.org/cgit/rpms/pcs.git/tree/pcs.spec?id=4013dee6794a22431ff0df5e2618f062d3a5557b#n66
Comment 14 Fedora End Of Life 2017-02-28 04:33:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.